Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 424321 - games-emulation/hatari-1.6.2 version bump
Summary: games-emulation/hatari-1.6.2 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: EBUILD, PATCH
Depends on:
Blocks:
 
Reported: 2012-06-30 21:52 UTC by Oliver Jaksch
Modified: 2013-06-13 10:46 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
updated ebuild (hatari-1.6.2.ebuild,1.86 KB, text/plain)
2012-06-30 21:52 UTC, Oliver Jaksch
Details
updated patch (hatari-1.6.2-gentoo.patch,3.10 KB, patch)
2012-06-30 21:53 UTC, Oliver Jaksch
Details | Diff
updated patch fixing python-ui things (hatari-1.6.2-gentoo.patch,4.54 KB, patch)
2012-10-06 07:31 UTC, Oliver Jaksch
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Jaksch 2012-06-30 21:52:38 UTC
Created attachment 316809 [details]
updated ebuild

New version from 2012-06-24 - Bugfixes and some improvements.

What I've changed:
- HOMEPAGE in ebuild (v1.6.1 still pointed to berlios.de; works but ugly)
- Version at patch file

Compiles fine and runs smoothly at first shot.
Comment 1 Oliver Jaksch 2012-06-30 21:53:25 UTC
Created attachment 316811 [details, diff]
updated patch

renamed but unchanged patch
Comment 2 Jeroen Roovers gentoo-dev 2012-07-02 10:36:49 UTC
Comment on attachment 316809 [details]
updated ebuild

--- hatari-1.6.1.ebuild 2012-05-21 21:31:24.000000000 +0200
+++ -   2012-07-02 12:36:40.407063823 +0200
@@ -6,7 +6,7 @@
 inherit eutils toolchain-funcs cmake-utils games
 
 DESCRIPTION="Atari ST emulator"
-HOMEPAGE="http://hatari.berlios.de/"
+HOMEPAGE="http://hatari.tuxfamily.org/"
 SRC_URI="http://download.tuxfamily.org/hatari/${PV}/${P}.tar.bz2"
 
 LICENSE="GPL-2"
Comment 3 Mr. Bones. (RETIRED) gentoo-dev 2012-10-05 20:33:09 UTC
needs additional patching.  the hatariui script ends up trying to run the python out of the wrong directory.
Comment 4 Oliver Jaksch 2012-10-06 07:31:47 UTC
Created attachment 325768 [details, diff]
updated patch fixing python-ui things

(In reply to comment #3)
> needs additional patching.  the hatariui script ends up trying to run the
> python out of the wrong directory.

Thanks for the hint. I missed the UI-stuff completely. While fixing this I found another thing regarding the manual.html . Now fixed in 'python-ui/uihelpers.py' also.
Comment 5 Julian Ospald 2013-06-13 10:46:34 UTC
+*hatari-1.6.2 (13 Jun 2013)
+
+  13 Jun 2013; Julian Ospald <hasufell@gentoo.org> +hatari-1.6.2.ebuild,
+  +files/hatari-1.6.2-gentoo.patch, +files/hatari-1.6.2-gentoo-docdir.patch:
+  version bump wrt #424321